Bug 187981 - Hangul/Hanja conversion dialog. Tick/untick does not return to initial state.
Hangul/Hanja conversion dialog. Tick/untick does not return to initial state.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 22:56 EDT by Jong Bae KO
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 08:27:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
expected to be ok (6.90 KB, application/vnd.oasis.opendocument.text)
2006-04-05 05:04 EDT, Caolan McNamara
no flags Details
expected to not be ok (6.84 KB, application/vnd.oasis.opendocument.text)
2006-04-05 05:05 EDT, Caolan McNamara
no flags Details
Hangul_Hanja (29.91 KB, image/png)
2006-04-05 21:13 EDT, Jong Bae KO
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 53593 None None None Never
OpenOffice.org 64075 None None None Never
OpenOffice.org 64079 None None None Never

  None (edit)
Description Jong Bae KO 2006-04-04 22:56:56 EDT
Description of problem:
In the OpenOffice writer, which has a function(Hangul/Hanja Conversion).
It does not work using this hotkeys(ctrl+shift+F7).
It is working with Ctrl key.

i did ¨LANG=en_US.UTF-8 oowriter &¨
then it is working.
so it does not work in LANG=ko_KR.UTF-8 or
It may crash with input method(SCIM)

Version-Release number of selected component (if applicable):
openoffice.org-writer-2.0.2-5.2.2
LANG=ko_KR.UTF-8
scim-1.4.4-9

How reproducible:


Steps to Reproduce:
1. open writer
2. type some word in korean 
3. Ctrl+Shift+F7
  
Actual results:
Nothing

Expected results:
open a Hangul/Hanja Conversion

Additional info:
In the RHEL4, It doesn´t work as well
Comment 1 Caolan McNamara 2006-04-05 04:11:56 EDT
Hmm...

1. In writer (2.0.X) once it has been opened in a LANG=ko_KR.UTF-8 environment,
what does format->character->font say. i.e.
1.1 Does it have an "Asian Text Font" line ? It should.
1.2 Does it have the language for Asian Text Font set to Korean(Rok) ? It should.
2. If you open the first attachment here hanguldemo-koreanlangset.odt and then
type Ctrl + Shift + F7 do you see the dialog ? It should appear. 
3. If you open the second attachment hanguldemo-nolangset.odt and ctrl+shirt+F7
then it will probably not appear. Apparently the appearance of the dialog is
keyed to having text in the document which has its language set to korean,
rather than keyed to having korean glyphs in the document.

If 1 & 2 work, then maybe you've been caught by 3. Is that the case ? I can log
a request for enhancement upstream to be more clever in triggering the dialog in
the presence of korean characters despite missing korean language attributes if
that's our problem here.
Comment 2 Caolan McNamara 2006-04-05 05:04:17 EDT
Created attachment 127332 [details]
expected to be ok
Comment 3 Caolan McNamara 2006-04-05 05:05:03 EDT
Created attachment 127333 [details]
expected to not be ok
Comment 4 Jong Bae KO 2006-04-05 21:13:13 EDT
Now it works fine. Strange...

Another issue, have you try a tick and an untick(one letter conversion) in
Hangul/Hanja Conversion. If you do not understand check the attachment
, i made red box in there.

1. expected results:
Just untick
2. unexpected results:
Closing Hangul/Hanja Conversion box

In my opinion this option(tick) should be default.
First reason, Korean we normally change one Korean character(Hangul) to
Chinese(Hanja). We do not change in word.
Second reason, i do not think oowriter can support Hanja in words. It is huge
database, and words in Hanja is not the same as Japanese-Chinese(Kenzi) or
Chinese. Bit different.
I did not check in MS word. I will check and give the result about this topic later.

Thanks a lof for supporting Korean

Comment 5 Jong Bae KO 2006-04-05 21:13:53 EDT
Created attachment 127383 [details]
Hangul_Hanja
Comment 6 Caolan McNamara 2006-04-06 08:53:16 EDT
The second problem is reproducable for me, logging upstream as
http://www.openoffice.org/issues/show_bug.cgi?id=64075 . The code seems a little
confused here.
Comment 7 Caolan McNamara 2006-04-06 11:11:26 EDT
A "default to by char" patch submitted upstream as
http://www.openoffice.org/issues/show_bug.cgi?id=64079
Comment 8 Caolan McNamara 2006-04-10 08:27:30 EDT
Change scheduled for 2.0.4

Note You need to log in before you can comment on or make changes to this bug.